Subject: Re: [PATCH] revert: initialize const value

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Aug 2025 07:26:18 -0700

Patrick Steinhardt <[email-masked]> writes:

> Initializing the value feels like a pragmatic choice to me. There is no
> downside, and anyone who might be puzzled by the comment is likely to
> git-blame(1) to your commit anyway. So I think the current version is
> good enough.

I had to run "git blame" to find out who was being overly clever by
using a sentinel like this.  I am glad that it was not me ;-)

The fix looks good.  It may make it even better if we renamed the
variable to sentinel_address or something ;-).